Mancano ormai pochi giorni al rilascio di Ubuntu 13.04 Raring release che porterà diverse novità riguardanti sopratutto l’ambiente desktop Unity ora più reattivo e veloce.
Inoltre con l’arrivo di Ubuntu 13.04 sarà disponibile anche la nuova derivata Ubuntu GNOME versione con GNOME Shell come ambiente desktop.
In Ubuntu finalmente ritorna la possibilità di scegliere l’ambiente desktop GNOME o Unity come succedeva ad esempio su Ubuntu 10.04 e 10.10 solo che in quei casi però Ubuntu veniva rilasciato con Gnome 2 di default e Unity come una derivata denominata Netbook Remix.

Ubuntu 13.04 Raring -  Unity vs Gnome Shell

In Ubuntu 13.04 Raring l’utente potrà quindi scegliere o il nuovo Unity 7.0 con tante nuove ottimizzazioni che rendono (finalmente) più veloce e reattivo e completo l’ambiente desktop e dall’altra un Gnome Shell 3.6.x stabile e maturo con molte nuove estensioni pronte a personalizzare l’ambiente desktop conforme le nostre preferenze. In Ubuntu GNOME 13.04 sarà inoltre possibile installare anche GNOME 3.8.x attraverso i PPA dedicati rendendo ancora completa la distribuzione.

A questo punto c’è da chiedersi l’utente Ubuntu rimarrà fedele ad Unity ambiente desktop interamente sviluppato da Canonical oppure ritornerà a Gnome puntando su Gnome Shell ambiente desktop che porta un’esperienza simile per alcuni aspetti a quella di Unity?

via

  • Ferdiocaid

    Ma Openjdk e sun java possono stare insieme o vi è incompatibilità?

    • potrebbero esserci incompatibilità dato che i programmi java quando richiamano la VM potrebbero ricevere 2 risposte invece di una sola, oppure, ancor peggio, se provi ad avviare una classe (se programmi in java) potrebbe dirti che trova riferimenti da più parti.

  • Giulio

    ha quanto pare la versione di questo repo ha delle falle di sicurezza infatti l’hanno pachata con la Update 27

    • che falle di sicurezza a cosa riguardano?

    • Giornale di Sistema

      In effetti no, l’update 27 di Java 6 non ha bugfix di sicurezza:

      “Java SE 6u27 does not add any fixes for security vulnerabilities beyond
      those in Java SE 6u26. Users who have Java SE 6u26 have the latest
      security fixes and do not need to upgrade to this release to be current
      on security fixes.”
      Fonte: http://www.oracle.com/technetwork/java/javase/6u27-relnotes-444147.html

  • aiuto

    se eseguo i comandi ottengo questo:  
    sudo apt-get install sun-java6-jre sun-java6-plugin sun-java6-fontsLettura elenco dei pacchetti… FattoGenerazione albero delle dipendenze       Lettura informazioni sullo stato… FattoIl pacchetto sun-java6-jre non ha versioni disponibili, ma è nominato da un altropacchetto. Questo può significare che il pacchetto è mancante, è obsoletooppure è disponibile solo all’interno di un’altra sorgenteIl pacchetto sun-java6-fonts non ha versioni disponibili, ma è nominato da un altropacchetto. Questo può significare che il pacchetto è mancante, è obsoletooppure è disponibile solo all’interno di un’altra sorgenteE: Il pacchetto “sun-java6-jre” non ha candidati da installareE: Impossibile trovare il pacchetto sun-java6-pluginE: Il pacchetto “sun-java6-fonts” non ha candidati da installare

    • se aggiungi i ppa vedrai che poi ti da i pacchetti da installare

      • prova

        Strano ricordavo di averlo fatto, comunque ora funziona.

  • adri76

    Grazie per l’ottima guida, tutto perfetto!

  • Brfil

    Grazie per la guida utilissima. Vorrei sapere se sia possibile anche programmare in Java su ubuntu 11.10. Occorre installare la JVM? Che versione?? Ci puoi fornire una guida anche in questo senso? Io ho installato Eclipse ma non è semplice…

    • ci sono molte applicazioni dedicate anche se ci Eclipse è sicuramente la migliore

      • saulo

        provando a lanciare da terminale un semplice programma java non si esegue; 

        Mi restituisce queste linee di codice 
        Exception in thread “main” java.lang.NoClassDefFoundError: ProvaCaused by: java.lang.ClassNotFoundException: Prova at java.net.URLClassLoader$1.run(URLClassLoader.java:202) at java.security.AccessController.doPrivileged(Native Method) at java.net.URLClassLoader.findClass(URLClassLoader.java:190) at java.lang.ClassLoader.loadClass(ClassLoader.java:306) at sun.misc.Launcher$AppClassLoader.loadClass(Launcher.java:301) at java.lang.ClassLoader.loadClass(ClassLoader.java:247)Could not find the main class: Prova.  Program will exit.

        Sapete aiutarmi?

        • penso che hai openjre e non java di default

        • è sicuramente dovto a OpenJDK, infatti a me da problemi anche cercando di creare una semplice classe che contenga istruzioni per un “Hello World!” (e tutto è corretto, il mio prof all’università è rimasto stupito ma quando ha sentito che avevo una distro GNU/Linux mi ha consigliato di installare la VM della Oracle)

  • Andrea Pagano

    Ottima guida e splendido repository. Grazie mille!!


    Andrea Pagano

  • leo

    Ciao Roberto,
    per configurare la versione di java da utilizzare, ho dovuto aggiungere un repository ed installare il tool ‘update-java’.

    sudo add-apt-repository ppa:nilarimogard/webupd8
    sudo apt-get update
    sudo apt-get install update-java

    dopo di che
    sudo update-javaQueste informazioni le ho trovate su webupd8.

    • è la stessa cosa che installare lo script indicato nella guida
      solo che non devi aggiungere ppa con dentro anche altre applicazioni

  • Mulinsky

    Io tolgo Java appena posso… pensavo che fosse una mia mania invece…

  • Ginoza

    Non riesco ad installare java6. Ho seguito la guida di Roberto, tramite iPPA con i tre passaggi, per installare java 6 su kubuntu 11.10 X32 bit, ma senza successo. Faccio presente che durante l’installazione non mi appare la richiesta di conferma!…Io uso java per giocare a scacchi e ora su kubuntu non si apre più il sito…, mi chiede di installare java..
    Cosa posso fare per risolvere il problema?
    Grazie.
    Gino

    • controlla bene di fare come da guida e vedrai che si installa
      è stra testata

  • TMZ

    Ho trovato questo nel caso non si rimuova openJDK:
    If you did not remove it then you have both of them. To change from one to another do this:

    sudo update-java-alternatives -l – This will show you the list of java engines to use.

    The name of the java alternative is the one in the left. For example for openjdk it will appear something like this: java-6-openjdk 1061 /usr/lib/jvm/java-6-openjdk

    So to set it to openjdk you would do this:
    sudo update-java-alternatives -s java-6-openjdk

    If you want to use Sun then do this (After installation of the sun packages)

    sudo update-java-alternatives -s java-6-sun

  • TMZ

    Ma sono solo a 32 bit?

    • no è sia per 32 che 64 bit

      • TMZ

         I comandi sono identici, corretto?

  • Daniele, Napoli

    ho installato, grazie.
    Ma ora ho la build _26 mentre nel sito vi è la build _31. Come si l’aggiornamento?

    • nei prossimi giorni aggiornerà i pacchetti alla nuova 6u31
      ti basterà aggiornare la distro per riceverla

      • Daniele, Napoli

         grazie
        Mi accorgo solo ora della risposta

  • Orazio

    Ciao,ottima guida anche per me che sono alle prime armi.Ancora nessun aggiornamento alla build_31 di cui ho bisogno.Come posso fare ? Grazie.

  • panda

    ciao, hai aggiornato i pacchetti alla 31?

  • Fabio

    grazie!!!

  • ssmike

    ciao! xkè mi dice ciò?:
     
    mike@mike-desktop:~$ sudo apt-get update
    E: Tipo “ain” non riconosciuto alla riga 3 nel file /etc/apt/sources.list.d/ferramroberto-java-oneiric.list
    E: Impossibile leggere l’elenco dei sorgenti.

    • hai ubuntu 11.10 vero
      se è cosi non dovrebbe dare errori
      forse ci son problemi con launchpad
      in questo caso prova più tardi

      2012/4/25 Disqus

      • ssmike

         ok! grz

      • ssmike

        niente da fare. quel messaggio di errore mi blocca tt. vedi ubuntu software center, aggiornamento pacchetti ecc.
        qualche idea?

      • ssmike

         esempio…

  • ginorampino

    Ciao, per curiosità: questa guida è ancora valida? Sto provando ad installare Java su Kubuntu 12.04 ma all’apt-get install mi dice che: “E: Il pacchetto “sun-java6-fonts” non ha candidati da installare” e così anche per gli altri pacchetti.

  • Alessandro

    Sto utilizzando Ubuntu 13.10 già aggiornato, se do quei tre comandi mi ritorna questo errore, forse non funziona con la 13.10.

    W: Impossibile recuperare http://ppa.launchpad.net/ferramroberto/java/ubuntu/dists/saucy/main/binary-i386/Packages 404 Not Found

    E: Impossibile scaricare alcuni file di indice: saranno ignorati o verranno usati quelli vecchi.
    hirvine@hirvine-RS891AA-ABZ-t3740-it:~$ sudo apt-get install sun-java6-jre sun-java6-plugin sun-java6-fonts
    Lettura elenco dei pacchetti… Fatto
    Generazione albero delle dipendenze
    Lettura informazioni sullo stato… Fatto
    Il pacchetto sun-java6-jre non ha versioni disponibili, ma è nominato da un altro
    pacchetto. Questo potrebbe indicare che il pacchetto è mancante, obsoleto
    oppure è disponibile solo all’interno di un’altra sorgente

    Il pacchetto sun-java6-fonts non ha versioni disponibili, ma è nominato da un altro
    pacchetto. Questo potrebbe indicare che il pacchetto è mancante, obsoleto
    oppure è disponibile solo all’interno di un’altra sorgente

    E: Il pacchetto “sun-java6-jre” non ha candidati da installare
    E: Impossibile trovare il pacchetto sun-java6-plugin
    E: Il pacchetto “sun-java6-fonts” non ha candidati da installare
    Grazie mille per l’attenzione 😀 (y)